Right now, you should leave the village by south gate and hunt longtail keltirs, gremlin scavengers or wolves, Wolves are the most dangerous, so take care, If there are too many hunters on that side of the village, look to the eastside of the bank after you exit the village from the north gate.
Remember, when you target a monster, it's name will appear at the top-center of the screen. The color of the name shows how difficult it is. For now, stick to creatures with white or sky-blue names, The ones in red and yellow are much stronger than you, so steer clear.
And be ye warned,you're not ready to go messing with goblins yet, They're agood deal smarter and stronger than they seem. Most importantly, they understand teamwork -- if one goblin is in trouble, others will come to its aid. So even if you're strong enough to take a goblin one-on-one, you're nowhere near ready to deal with two or three, Watch yourself now.
Return